Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 312679 (CVE-2010-0220) - Firefox 3.5.7 issue tracking bug (CVE-2010-0220)
Summary: Firefox 3.5.7 issue tracking bug (CVE-2010-0220)
Status: RESOLVED FIXED
Alias: CVE-2010-0220
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Security
URL:
Whiteboard: A3 [glsa]
Keywords:
Depends on:
Blocks:
 
Reported: 2010-04-01 17:08 UTC by Alex Legler (RETIRED)
Modified: 2013-01-08 01:04 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Legler (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2010-04-01 17:08:43 UTC
Firefox 3.5.7 issue tracking bug
Comment 1 Alex Legler (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2010-04-01 17:09:07 UTC
CVE-2010-0220 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2010-0220):
  The nsObserverList::FillObserverArray function in
  xpcom/ds/nsObserverList.cpp in Mozilla Firefox before 3.5.7 allows
  remote attackers to cause a denial of service (application crash) via
  a crafted web site that triggers memory consumption and an
  accompanying Low Memory alert dialog, and also triggers attempted
  removal of an observer from an empty observers array.

Comment 2 Paweł Hajdan, Jr. (RETIRED) gentoo-dev 2011-01-10 12:41:44 UTC
No vulnerable versions are in the tree.
Comment 3 Stefan Behte (RETIRED) gentoo-dev Security 2011-10-08 22:06:21 UTC
Vote: YES. Added to pending GLSA request.
Comment 4 GLSAMaker/CVETool Bot gentoo-dev 2013-01-08 01:04:09 UTC
This issue was resolved and addressed in
 GLSA 201301-01 at http://security.gentoo.org/glsa/glsa-201301-01.xml
by GLSA coordinator Sean Amoss (ackle).